
Redmine - Defect #6320

Subtasks do not appear under parent task in Issues view

2010-09-07 10:03 - Joonas Pulakka

Status: New Start date: 2010-09-07

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 1.0.1

Description

When adding subtasks to issues (from the main issues/xx view using "Add subtask"), the subtasks do appear in the Subtasks view of

that issue. Also the subtasks themselves seem to have the parent task number defined as they should.

However, in the main "Issues" view the subtasks appear as individual tasks, not as indented rows under the parent task as they

should.

Database version: MySQL 5.0

Ruby version: 1.8.7

Rails version: 2.3.5 (the one that came with Redmine in the vendor/ directory)

I'm using the Backlogs plugin (http://www.redminebacklogs.net/). It required database migration (

http://www.redminebacklogs.net/en/installation/) - possibly it could have messed up something? But talso #6251 is some kind of

sub-parent-task relation issue in 1.0.1.

Related issues:

Related to Redmine - Defect #12846: sub-issues being rendered under wrong par... New

Related to Redmine - Feature #7907: Display Issues in a hierarchy (tree) New 2011-03-17

Has duplicate Redmine - Defect #22306: Bad dispalay of the issues having pare... Closed

History

#1 - 2010-09-07 19:34 - Siu Siu

Same here, with almost fresh installation.

Redmine: 1.0.0.stable

Database: SQLite

ruby 1.8.7 (2010-06-23 patchlevel 299)

Redmine Checkout plugin installed (http://dev.holgerjust.de/projects/redmine-checkout).

#2 - 2010-09-08 12:37 - Siu Siu

I've noticed that subtasks are correctly indented when the issue table is ordered by id in ascending mode:

http://localhost:3000/projects/projectname/issues?sort=id sub-issues are correctly indented

http://localhost:3000/projects/projectname/issues?sort=id%3Adesc sub-issues are not indented

#3 - 2010-09-10 16:54 - Jeffrey Stone

I'm also seeing this with a fresh install of 1.0.1

#4 - 2010-09-16 14:52 - Thomas Fürlinger

same here

#5 - 2010-09-22 09:47 - Dmitry Nemov

The same problem, fresh install 1.0.1 (stable)

#6 - 2010-09-22 20:23 - Karel Král

The same problem, fresh install 1.0.1 (stable)

#7 - 2010-09-24 21:11 - Anonymous
If you add "parent task" as a column.  You can then sort by parent task and the items are grouped properly.  This is the only way I found to get it to

work.

#8 - 2010-09-24 22:48 - Terence Mill

same here

#9 - 2010-10-14 14:37 - Damien Couderc

Same here.

It would be nice if there was a grouping option to get the same result than Greg (#7).

#10 - 2011-04-01 07:08 - Ryan H

It would appear that it doesn't work in the following situation:

Create Issue #1

Create Issue #2

Create Issue #3 with parent issue #2

It shows the following:

Issue #1

Issue #2

- Issue #3

Now change Issue #1 to have parent Issue #2.

It shows the following:

Issue #1

Issue #2

- Issue #3

The issues view should show it like this:

Issue #2

- Issue #3

- Issue #1

#11 - 2011-04-01 11:34 - Etienne Massip

- File subtasks_tree_in_issues_list.PNG added

Can't reproduce on trunk :

 subtasks_tree_in_issues_list.PNG 

#12 - 2011-05-18 17:50 - Adam M

- File redmine-subtask-grouping-issue-1.png added

- File redmine-subtask-grouping-issue-2.png added

This issue does exist...

Using Redmine 1.1.3 on a Bitnami Stack

I've also used Redmine 1.0.1 on a Cent OS environment.

Please see attached images; for privacy reasons, I've censored some content.

Also there's no way to save a query to sort by ID that I can see in 1.1.3.

#13 - 2011-05-18 17:55 - Adam M

Adam M wrote:

This issue does exist...

Using Redmine 1.1.3 on a Bitnami Stack

I've also used Redmine 1.0.1 on a Cent OS environment.

Please see attached images; for privacy reasons, I've censored some content.

Also there's no way to save a query to sort by ID that I can see in 1.1.3.

 I'd like to clarify this issue was occurring on both versions I've used whether it be a clean install or not.

I am not sure if it could maybe be an issue with created and saving a query?
#14 - 2011-05-18 18:36 - Etienne Massip

Adam M wrote:

This issue does exist...

Using Redmine 1.1.3 on a Bitnami Stack

 See Greg Parker's note (note 7), you should not sort on Id but on Parent task column.

#15 - 2011-08-12 14:33 - Pedro C

I can confirm this bug, the task appears wrong inside parent task details too, when editing parent on children task the id is correct.

Because of this bug I can have a correct report on a important project.

#16 - 2012-04-09 07:38 - Jonathan Chen

I'm on version 1.3.1 and I am having the same issue where in the issue and on the gantt it is shown correctly, but in the issue view it is shown

incorrectly. It mainly happens whenever I create the issue and put in the parent task at the same time of creation.

#17 - 2015-01-02 18:58 - Carsten Weise

Same here, on redmine 2.6.0-2.

There is a logic behind this: tasks are ordered either ascending or descending

Indention only works, if a subtask has a number greater/less than the parent task, depending on asc/desc

It would be nice if we had a mode that orders asc/desc, but gives precedence to the subtasks of a task

#18 - 2015-01-30 16:49 - Toshi MARUYAMA

- Category set to Issues

#19 - 2015-01-30 16:57 - Toshi MARUYAMA

- Related to Defect #12846: sub-issues being rendered under wrong parent issue added

#20 - 2015-01-30 17:05 - Toshi MARUYAMA

- Related to Feature #7907: Display Issues in a hierarchy (tree) added

#21 - 2015-02-12 11:52 - Mateusz Zająkała

I have the same problem, redmine 2.5.2-stable.

On one project's issue list some issue hierarchies (parent+subtasks) are displayed correctly, while others are not. In both cases children IDs are

larger than parent ID (created later), I can't figure out what are the differences between working hierarchies and those displayed separately.

One hint would be that where children are displayed correctly with indentation the parent tracker is "Feature" (children are "Tasks"), while where they

are displayed as separate items on the list the parent is also a "Task". But I tried changing its tracker to "Feature" and it does not help. Also tried

sorting by any column (asc or desc) - always the same result.

#22 - 2016-03-22 16:57 - Toshi MARUYAMA

- Has duplicate Defect #22306: Bad dispalay of the issues having parent issue added

#23 - 2017-02-26 20:32 - Stefan Lindner

+1

#24 - 2017-09-29 17:48 - pedro apero

- File 4-redmine_subtask_bug_sorted_by_start_date_reverse.png added

To be deleted.

#25 - 2017-09-29 18:03 - pedro apero

I confirm having the same issue on version 3.3.0.

Sorting by parent issue does not help.

Sorting by start date fix the display issue. Ordering matters.

Unsorted (by priority with same priority for all issue):

 17092906214493289.png 

Sorted by parent task:

 170929062144179483.png 
Sorted by starting date:

 170929062144453967.png 

Sorted by starting date in reverse order:

 170929062144729640.png 

#26 - 2019-06-07 10:15 - Claudio Negri

+1

#27 - 2019-06-11 10:52 - Feh Mi

+1. I have the same problem.

Strange enough in a )simple) project, I can see the sub taskes listed under parent issue. However in a complex one, I don' t see it.

Environment:

Redmine version                4.0.2.stable

Ruby version                   2.3.3-p222 (2016-11-21) [x86_64-linux-gnu]

Rails version                  5.2.2

Environment                    production

Database adapter               PostgreSQL

#28 - 2019-06-28 10:26 - Alexander Ryabinovskiy

+1

Environment:

Redmine version                3.4.6.stable

Ruby version                   2.4.4-p296 (2018-03-28) [x64-mingw32]

Rails version                  4.2.8

Environment                    production

Database adapter               SQLServer

In some complex "issue trees" the task is not displayed. For example, for issue #666 parent task = #14. But task #666 is displayed as a single task,

and I cant see it in task #14 childs list. Maybe, there is some limit to parents tree list?

#1

  #12

  #13

    #131

    #132

  #14

    #555

    #666! - not displayed

  #15

#29 - 2019-10-11 11:32 - Bernaldo Penas

Hi:

- Redmine-4.0.4

- Ruby ruby 2.6.3p62 (2019-04-16 revision 67580) [x86_64-linux]

- Rails 5.2.3

- Operating system Debian 10

- PostgreSQL 11.5

- Apache/2.4.38

Same Issue here

#30 - 2020-05-14 14:29 - Philippe Vaucher

I found the problem:

irb(main):023:0> i1

=> #<Issue id: 27250, tracker_id: 8, project_id: 5071, subject: "bla2", description: "", due_date: "2020-05-21

", category_id: nil, status_id: 1, assigned_to_id: 22, priority_id: 4, fixed_version_id: nil, author_id: 21, l

ock_version: 17, created_on: "2020-05-14 11:44:41", updated_on: "2020-05-14 11:44:41", start_date: "2020-05-14

", done_ratio: 0, estimated_hours: nil, parent_id: nil, root_id: 27250, lft: 1, rgt: 0, is_private: false, clo

sed_on: nil>

irb(main):024:0> i2

=> #<Issue id: 27258, tracker_id: 24, project_id: 5071, subject: "bla", description: "", due_date: nil, catego

ry_id: nil, status_id: 1, assigned_to_id: nil, priority_id: 4, fixed_version_id: nil, author_id: 21, lock_vers

ion: 0, created_on: "2020-05-14 11:49:55", updated_on: "2020-05-14 11:49:55", start_date: "2020-05-14", done_r

atio: 0, estimated_hours: nil, parent_id: nil, root_id: 27258, lft: 1, rgt: 4, is_private: false, closed_on: n

il>

irb(main):025:0> Issue.rebuild_single_tree!(i1.id)

=> [#<Issue id: 27257, tracker_id: 8, project_id: 5071, subject: "test", description: "", due_date: nil, categ

ory_id: nil, status_id: 1, assigned_to_id: nil, priority_id: 4, fixed_version_id: nil, author_id: 21, lock_ver

sion: 3, created_on: "2020-05-14 11:47:18", updated_on: "2020-05-14 11:49:35", start_date: "2020-05-14", done_
ratio: 0, estimated_hours: nil, parent_id: 27250, root_id: 27250, lft: 2, rgt: 3, is_private: false, closed_on

: nil>]

 The nested set got out of sync for an unknown reason. Both i1 and i2 are issues with subtasks, but i1 has invalid `rgt` value and thus listing fails.

Rebuilding the tree for that node fixes the problem.

To fix it for all issues, run `Issue.rebuild_tree!`.

#31 - 2020-06-09 15:46 - Ewan Makepeace

I just hit this exact problem - no idea why as we have changed nothing recently afaik. Thanks for the tip.

#32 - 2020-11-16 21:25 - Erwan Jolivet

Have exactly same problem when i copy a issue with one sub task

The copied parent issue does not have the right rgt value

#33 - 2021-02-01 23:12 - JB Potokar

Philippe Vaucher wrote:

I found the problem:

[...]

The nested set got out of sync for an unknown reason. Both i1 and i2 are issues with subtasks, but i1 has invalid `rgt` value and thus listing fails.

Rebuilding the tree for that node fixes the problem.

To fix it for all issues, run `Issue.rebuild_tree!`.

 Hello

I have got the same problem exactly here, running 4.0.6.stable. Could you explain how to run `Issue.rebuild_tree!` ?

Thx,

#34 - 2021-02-02 04:17 - Mischa The Evil

JB Potokar wrote:

[...] Could you explain how to run `Issue.rebuild_tree!` ?

 There are two ways to do that for this and any other calls, either interactively (using bin/rails console) or non-interactively (using bin/rails runner).

These commands must be run from the Redmine root directory, just like DB- & plugin-migration tasks.

Though, make sure you have proper (DB) backups prior to running these and/or subsequent commands in case anything goes wrong.

#35 - 2021-10-04 15:32 - Alexander Ryabinovskiy

Thank you for advice!

I run this in redmine root directory:

rails runner "Issue.rebuild_tree!" -e production

and "lft", "rgt" fields in issues table was recalculated, my view of issue tree is correct now.

I think, I will make some regular night task with this command.    

But I hope, you fix the original error with this fields.

Files

subtasks_tree_in_issues_list.PNG 7.65 KB 2011-04-01 Etienne Massip

redmine-subtask-grouping-issue-1.png 50.5 KB 2011-05-18 Adam M

redmine-subtask-grouping-issue-2.png 48 KB 2011-05-18 Adam M

4-redmine_subtask_bug_sorted_by_start_date_reverse.png 49 KB 2017-09-29 pedro apero

Powered by TCPDF (www.tcpdf.org)

2025-07-06 5/5

https://guides.rubyonrails.org/command_line.html#bin-rails-console
https://guides.rubyonrails.org/command_line.html#bin-rails-runner
http://www.tcpdf.org

